What's new in THIS version of Zoo/ST?
=====================================

For version 2.01STg
   -  a very stupid typo, which caused Zoo internally to call the *add* 
      routine when the -retrieve option was specified, in stead of the 
      *extract* routine, was reported and is fixed.
   -  due to a bug in a call to Dgetpath (the drive-id specified was 1 too 
      low, a classical ST bug), "ZOO P zoofile" sometimes hung up the machine 
      while "ZOO P ./zoofile" or "ZOO P. zoofile" did fine.
      Theoretically, this could give problems with a lot of novice commands 
      (-add, -update, -backup, -delete) when the zoofile concerned does not 
      contain a slash or backslash in its specified path.
      Fixed.
   -  printing the month in a Zoo list could give problems when the month 
      value happened to be outside the [0-12] range. Fixed.

For version 2.01STf
   -  the fread() call of the C library used contained a little bug, which,
      for certain file sizes, lead to a "file read error during compression" 
      error when EOF was seen. Fixed.
      Note: relax! This bug could only lead to problems during creation of an 
      archive, displaying the above-mentioned error message. It is impossible 
      that this bug resulted in an corrupted archive.
   -  just a note: the desktop converts all arguments to upper case, ruining 
      the expert level commands. Use either the novice commands or a decent 
      shell to work around this (see also the file README.ST). Nothing has 
      fixed in Zoo (it's not my fault...), only a warning message has been 
      added in the Zoo's online help screen.

For version 2.01STe (first official release)
   -  the "algorithm", which determines if Zoo must wait for a keypress upon 
      exit, is changed. The defaults are more reasonable now: don't wait when 
      coming from a shell and do wait coming from the desktop. See README.ST.

For version 2.01STd (almost first official release)
   -  the buffer passed to the function fread() --in the decompression part
      of Zoo-- started at an odd address. This could raise problems in 
      cooperation with non-Atari harddisk drivers. The buffer now is 
      word-aligned.
   -  obvious change: the " version" string is removed.

For version 2.01STc ( version)
   -  expert level modifier 'b' for the add command changed in '/'
      Done to be consistent with the extract pathnames modifier. Suggestion 
      by Brian Waters, responsible for the port of Zoo to the Amiga (thanks!).
   -  novice command "-backup" now expands to "aP/" (was "aP:b").
      Therefore, this novice command now will store using directory names. 
      Seems more handy when creating a (disk) backup. See also "-restore".
   -  new novice command "-restore" (expands to "x//") will extract files, 
      storing each member in its original directory and creating any 
      directory needed but not present on disk. Counterpart of "-backup".

Daan*                    / .    .
                     __ /
                    (  /  /    /
                   (__/  /    /      (Daan Josephus Jitta)
                        /    /
                     __/  __/

old-fashioned:           modern:
--------------           -------
Bos en Lommerweg 10 ii   UUCP:  ...!hp4nl!neabbs!daanjj OR daanjj@neabbs
NL-1055 EB  Amsterdam    Fido:  2:280/1           --   daan jitta
Holland                  Fax:   (+31) 020-763706  --   daan jitta
Tel. (+31) 020-820521    Telex: 12969, NEABS NL, attn: daan jitta
